javax.swing.plaf.basic

## Class BasicToolBarUI.FrameListener

- java.lang.Object
- - java.awt.event.WindowAdapter
  - - javax.swing.plaf.basic.BasicToolBarUI.FrameListener

- All Implemented Interfaces:
    WindowFocusListener, WindowListener, WindowStateListener, EventListener
  Enclosing class:
    BasicToolBarUI

      protected class BasicToolBarUI.FrameListener
      extends WindowAdapter

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FrameListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `windowClosing(WindowEvent w)` | Invoked when a window is in the process of being closed.

    - ### Methods inherited from class java.awt.event.WindowAdapter

      `windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameListener

          protected FrameListener()

  - ### Method Detail

    - #### windowClosing

          public void windowClosing(WindowEvent w)

      Description copied from class: `WindowAdapter`
      Invoked when a window is in the process of being closed. The close operation can be overridden at this point.
      Specified by:
        `windowClosing` in interface `WindowListener`
      Overrides:
        `windowClosing` in class `WindowAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.